package com.masilotti.hikingjournal

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import dev.hotwire.core.config.Hotwire
import dev.hotwire.core.navigation.activities.HotwireActivity
import dev.hotwire.core.navigation.activities.HotwireActivityDelegate
import dev.hotwire.core.navigation.session.SessionConfiguration
import dev.hotwire.core.turbo.config.PathConfiguration

const val baseURL = "https://0b25dc656725.ngrok.app"

class MainActivity : AppCompatActivity(), HotwireActivity {
    override val appCompatActivity = this
    override val delegate = HotwireActivityDelegate(this)

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        Hotwire.loadPathConfiguration(
            context = this,
            location = PathConfiguration.Location(
                remoteFileUrl = "$baseURL/configurations/android_v1.json"
            )
        )
    }

    override fun sessionConfigurations() = listOf(
        SessionConfiguration(
            name = "main",
            startLocation = "$baseURL/hikes",
            navHostFragmentId = R.id.main_nav_host
        )
    )
}
