import HotwireNative
import UIKit

let baseURL = URL(string: "http://localhost:3000")!

class SceneDelegate: UIResponder, UIWindowSceneDelegate {
    var window: UIWindow?

    private lazy var navigator = TurboNavigator(
        pathConfiguration: pathConfiguration
    )
    private let pathConfiguration = PathConfiguration(sources: [
        .server(baseURL.appending(path: "configurations/ios_v1.json"))
    ])

    func scene(
        _ scene: UIScene,
        willConnectTo session: UISceneSession,
        options connectionOptions: UIScene.ConnectionOptions
    ) {
        window?.rootViewController = navigator.rootViewController
        navigator.route(baseURL.appending(path: "hikes"))
    }
}
