package com.masilotti.hikingjournal.components

import androidx.appcompat.widget.Toolbar
import androidx.fragment.app.Fragment
import androidx.compose.material3.Text
import androidx.compose.ui.platform.ComposeView
import com.masilotti.hikingjournal.R
import dev.hotwire.core.bridge.BridgeComponent
// ...
import dev.hotwire.core.bridge.BridgeDelegate
import dev.hotwire.core.bridge.Message
import dev.hotwire.navigation.destinations.HotwireDestination

class ButtonComponent(
    name: String,
    private val delegate: BridgeDelegate<HotwireDestination>
) : BridgeComponent<HotwireDestination>(name, delegate) {
    // ...
    private val fragment: Fragment
        get() = delegate.destination.fragment

    override fun onReceive(message: Message) {
        val composeView = ComposeView(fragment.requireContext()).apply {
            setContent {
                Text("Sign in")
            }
        }

        val toolbar = fragment.view?.findViewById<Toolbar>(R.id.toolbar)
        toolbar?.addView(composeView)
    }
}
